Page MenuHomePhabricator

relocate/reimage cloudvirt1005 with 10G interfaces
Closed, ResolvedPublic

Description

  • - put system offline in all checks for maint window
  • - apply bios/ilo updates
  • - update RAID to include spare drives
  • - rename/rebuild system from labvirt1005 to cloudvirt1005, move to role::spare
  • - relocate to 10G rack and update netbox
  • - enable PXE for 10G interfaces.
  • - update switch configuration for new primary 10G Nic
  • - update switch configuration and attach secondary 10G port
  • - remove old switch port info
  • - PXE boot and reimage system
  • - update netbox with new name and location
  • - reintroduce system into service cluster
  • - update switch and physical labels with new name and location

Event Timeline

Andrew created this task.Apr 15 2019, 9:52 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 15 2019, 9:52 PM
Andrew updated the task description. (Show Details)Apr 15 2019, 10:00 PM

Change 504215 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504215

Change 504217 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504217

Change 504215 merged by Andrew Bogott:
[operations/puppet@production] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504215

Change 504217 merged by Andrew Bogott:
[operations/dns@master] Rename some labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504217

colewhite triaged this task as Normal priority.Apr 16 2019, 3:40 PM
Cmjohnson moved this task from Backlog to Cloud Tasks on the ops-eqiad board.Apr 16 2019, 6:14 PM

MAC F0:92:1C:05:F5:20

Cmjohnson updated the task description. (Show Details)Apr 17 2019, 6:50 PM

The raid config tool on this host is not cooperating. With luck a bios update will get us past this.

This server is refusing to allow me to access the raid configuration. It has the old config now...I think @RobH may know how to update BIOS...not sure if that will help. I did run the service pack and the ILO is up to date.

RobH added a comment.Apr 18 2019, 5:32 PM

I've updated the system bios to the newest revision and then handed back to Chris. When attempting to enter the raid bios, it fails to actually enter when he tries (he'll provide updates).

@Andrew even after the updates by rob I am not able to get to the raid utility. Do you want to keep it as-is without having the 2 spare disks?

I'll try installing it. If everything else works we'll just live without the spares.

Andrew updated the task description. (Show Details)Apr 18 2019, 6:22 PM
Andrew assigned this task to Cmjohnson.Apr 18 2019, 6:27 PM

Apart from the spare raid drives, this looks good. I think we should just forge ahead.

Assigning back to Chris for remove old switch port info/update netbox with new name and location/update switch and physical labels with new name and location. I'll repool and add to the cluster after the test VM runs for a day or two without issues.

Cmjohnson reassigned this task from Cmjohnson to Andrew.Apr 19 2019, 5:29 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson removed projects: ops-eqiad, DC-Ops.

Removing ops-eqiad tag and assigning to @Andrew

Change 505862 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Pool cloudvirt1005 and 1006

https://gerrit.wikimedia.org/r/505862

Change 505862 merged by Andrew Bogott:
[operations/puppet@production] Pool cloudvirt1005 and 1006

https://gerrit.wikimedia.org/r/505862

Andrew closed this task as Resolved.Apr 26 2019, 4:46 AM
Andrew updated the task description. (Show Details)